Skip to main content
`Ctrl`+`K`

# DMDASNESJacobianFn

Function type for the local Jacobian callback set with `DMDASNESSetJacobianLocal()` on a `DMDA`-based `SNES`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode DMDASNESJacobianFn(DMDALocalInfo *info, void *u, Mat J, Mat Jp, PetscCtx ctx);

## Calling Sequence

- info - the local grid information from the `DMDA`

- u - pointer to the local input solution array

- J - the Jacobian matrix to assemble

- Jp - the matrix from which the preconditioner for the Jacobian is to be constructed

- ctx - optional user-provided context

## See Also

`DMDA`, `SNES`, `DMDASNESSetJacobianLocal()`, `DMDASNESFunctionFn`, `DMDASNESObjectiveFn`, `DMDASNESJacobianVecFn`

## Level

intermediate

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages